de.esprit.netsuite.client.evgate

## Class GroupDataChangeEventGate<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.concurrent.AbstractEventGate<E>
  - - de.esprit.netsuite.client.evgate.AbstractClientEventGate<C,GroupDataChangeEvent>
    - - de.esprit.netsuite.client.evgate.GroupDataChangeEventGate<C>

- All Implemented Interfaces:
    ClientObject<C>

      public class GroupDataChangeEventGate<C extends ClientContext>
      extends AbstractClientEventGate<C,GroupDataChangeEvent>

  This gate opens when the expected `UserDataChangeEvent` is being received.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.common.concurrent.AbstractEventGate

      `lastEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupDataChangeEventGate(C clientCtx, ChangeType action)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroupDataChangeEvent` | `awaitTimingOut(long time, java.util.concurrent.TimeUnit unit)`

    - ### Methods inherited from class de.esprit.netsuite.client.evgate.AbstractClientEventGate

      `getClientContext`

    - ### Methods inherited from class de.esprit.common.concurrent.AbstractEventGate

      `deregister, received, setSingleUseOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupDataChangeEventGate

          public GroupDataChangeEventGate(C clientCtx,
                                  ChangeType action)

  - ### Method Detail

    - #### awaitTimingOut

          public GroupDataChangeEvent awaitTimingOut(long time,
                                            java.util.concurrent.TimeUnit unit)
                                              throws java.util.concurrent.TimeoutException

      Overrides:
        `awaitTimingOut` in class `AbstractEventGate<GroupDataChangeEvent>`
      Throws:
        `java.util.concurrent.TimeoutException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.